[Haskell] Re: Trying to install binary-0.4

Ketil Malde ketil+haskell at ii.uib.no
Thu Oct 25 09:50:23 EDT 2007

Simon Marlow <simonmarhaskell at gmail.com> writes:

>> Wouldn't keeping "base-2.0" and rebranding "base-3.0" to
>> "foundation-1.0" (which might be listed as "Solution 2.1") solve this
>> issue? 

> This is actually what proposal 4.2 is about.  

Oh, I didn't catch that - I guess I didn't (and don't) see the
connectiong to 4 (re-exporting of modules from other packages), nor
does 4.2 seem to say anything about naming base differently.

Looks like an orthogonal issue to me.  Am I missing something?

> But note that in order to keep base-2.0 around you need to either
> compile up a complete copy of it and all the packages that depend on
> it (proposal 2, a non-starter IMO),

Perhaps the document could elaborate why it is a non-starter?

If I haven't seen further, it is by standing in the footprints of giants

More information about the Libraries mailing list